Imagick::getImagePixelColor
Imagick::getImageProfiles
The Imagick class
PHP Manual

# Imagick::getImageProfile

(PECL imagick 2.0.0)

Imagick::getImageProfile — Returns the named image profile

### Description

string Imagick::getImageProfile ( string `$name` )
Warning

This function is currently not documented; only its argument list is available.

Returns the named image profile.

### Parameters

`name`

  The name of the profile to return.

### Return Values

Returns a string containing the image profile. Throw an ImagickException on error.

Imagick::getImagePixelColor
Imagick::getImageProfiles
The Imagick class
PHP Manual